{% extends 'base.html' %}
{% load staticfiles %}
{% load i18n %}

{% block title %}{{ page_user.profile.get_screen_name }}{% endblock %}

{% block head %}
  <link href="{% static 'css/profile.css' %}" rel="stylesheet">
  <link href="{% static 'css/feeds.css' %}" rel="stylesheet">
  <link href="{% static 'css/top_tiles.css' %}" rel="stylesheet">
  <link href="{% static 'css/font-awesome.min.css' %}" rel="stylesheet">
  <script src="{% static 'js/feeds.js' %}"></script>
  <script src="{% static 'js/profile.js' %}"></script>
  <script src="{% static 'js/jquery.bullseye-1.0-min.js' %}"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.6.0/Chart.min.js" type="text/javascript"></script>
{% endblock head %}
{% block extrahead %}

{% endblock extrahead %}
{% block main %}
  <div class="page-header">
    <h1> {{ page_user.profile.get_screen_name }} {% if page_user.get_full_name %}<small>({{ page_user.username }}) </small>{% endif %} {% if is_blue_tick %} <i class="fa fa-check" aria-hidden="true"></i>  {% endif %} </h1>
  </div>
  <div user-id="{{ page_user.pk }}" csrf="{{ csrf_token }}" class="profile">
    <div class="row tile_count">
      <!-- Data tiles -->
      <div class="col-md-2 col-sm-3 col-xs-4 tile_stats_count">
        <span class="count_top"><i class="glyphicon glyphicon-envelope"></i> {% trans 'Feeds' %}</span>
        <div class="count">{{ feeds_count }}</div>
      </div>
      <div class="col-md-2 col-sm-3 col-xs-4 tile_stats_count">
        <span class="count_top"><i class="glyphicon glyphicon-pencil"></i> {% trans 'Articles' %}</span>
        <div class="count">{{ article_count }}</div>
      </div>
      <div class="col-md-2 col-sm-3 col-xs-4 tile_stats_count">
        <span class="count_top"><i class="glyphicon glyphicon-comment"></i> {% trans 'Comments' %}</span>
        <div class="count">{{ article_comment_count }}</div>
      </div>
      <div class="col-md-2 col-sm-3 col-xs-4 tile_stats_count">
        <span class="count_top"><i class="glyphicon glyphicon-question-sign"></i> {% trans 'Questions' %}</span>
        <div class="count">{{ question_count }}</div>
      </div>
      <div class="col-md-2 col-sm-3 col-xs-4 tile_stats_count">
        <span class="count_top"><i class="glyphicon glyphicon-education"></i> {% trans 'Answers' %}</span>
        <div class="count">{{ answer_count }}</div>
      </div>
      <div class="col-md-2 col-sm-3 col-xs-4 tile_stats_count">
        <span class="count_top"><i class="glyphicon glyphicon-fire"></i> {% trans 'Global Interactions' %}</span>
        <div class="count">{{ global_interactions }}</div>
      </div>
      <!-- /data tiles -->
    </div>
    <div class="row">
      <!--Profile tile-->
      <div class="col-md-3 user-profile">
          <img src="{{ page_user.profile.get_picture }}" class="picture">
          <ul>
              {% if page_user.profile.job_title %}
                  <li><span class="glyphicon glyphicon-briefcase"></span> {{ page_user.profile.job_title }}</li>
              {% endif %}
              {% if page_user.profile.location %}
                  <li><span class="glyphicon glyphicon-map-marker"></span> {{ page_user.profile.location }}</li>
              {% endif %}
              {% if page_user.profile.url %}
                  <li><span class="glyphicon glyphicon-globe"></span> <a href="{{ page_user.profile.get_url }}" target="_blank">{{ page_user.profile.get_url }}</a></li>
              {% endif %}
          </ul>
          {% if not is_muted %}
              <button type="button" class="btn btn-primary btn-mute" id="mute">
                  {% trans 'Mute' %}
              </button>
          {% else %}
              <button type="button" class="btn btn-primary btn-unmute" id="mute">
                  {% trans 'Unmute' %}
              </button>
          {% endif %}

          {% if not is_followed %}
              <button type="button" class="btn btn-primary btn-follow" id="follow">
                  {% trans 'Follow' %}
              </button>
          {% else %}
              <button type="button" class="btn btn-primary btn-unfollow" id="follow">
                  {% trans 'Unfollow' %}
              </button>
          {% endif %}
      </div>
      <!--Profile tile-->
      <!--Bar graphic chart-->
      <div class="col-md-9">
          <ul class="nav nav-pills">
            <li class="active"><a  href="#1b" data-toggle="tab">{% trans 'Last Feeds' %}</a></li>
            <li><a href="#2b" data-toggle="tab">Activity by type</a></li>
            <li><a href="#3b" data-toggle="tab">Activity by day</a></li>
            <li><a href="#4b" data-toggle="tab">Activity by Total</a></li>
            <li><a href="#5b" data-toggle="tab">Likes</a></li>
          </ul>
          <div class="tab-content">
            <div class="tab-pane active" id="1b">
              <ul class="stream">

                {% if page_user.profile.pinned_post %}
                  <div class="container">
                      <h5>pinned</h5>
                      {% include 'feeds/partial_feed.html' with feed=page_user.profile.pinned_post %}
                  </div>

                {% endif %}
                {% for feed in feeds %}
                  {% include 'feeds/partial_feed.html' with feed=feed %}
                {% endfor %}

                {% for feed in retweets %}
                  {% include 'feeds/partial_retweet.html' with feed=feed %}
                {% endfor %}

              </ul>
            </div>
            <div class="tab-pane" id="2b">
              <!--Bar graphic chart-->
              <canvas id="bar_chart" width="400" height="160"></canvas>
              <div class="load"><img src="{% static 'img/loading.gif' %}"></div>
              <!--Bar graphic chart-->
            </div>
            <div class="tab-pane" id="3b">
              <!--Line graph-->
              <canvas id="line_chart" width="400" height="160"></canvas>
              <div class="load"><img src="{% static 'img/loading.gif' %}"></div>
              <!--Line graph-->
            </div>
            <div class="tab-pane" id="4b">
              <!--Doughnut graph-->
              <canvas id="doughnut_chart" width="400" height="160"></canvas>
              <div class="load"><img src="{% static 'img/loading.gif' %}"></div>
              <!--Doughnut graph-->
            </div>
            <div class="tab-pane" id="5b">
                <ul class="stream">
                    {% for like in likes %}
                      {% include 'feeds/partial_feed.html' with feed=like %}
                    {% endfor %}
                </ul>
            </div>
          </div>
      </div>
    </div>
    <script type="text/javascript">
      var bar_labels = JSON.parse({{ bar_labels|safe }});
      var bar_data = {{ bar_data }};
      var line_data = {{ line_data|safe }};
      var line_labels = {{ line_labels|safe }};
    </script>
    <script src="{% static 'js/graph_data.js' %}"></script>
  </div>
{% endblock main %}
